@echo off
rem Compilation...
call d.bat

set APPNAME=ATX81_8
make all PROJECT=ATX81_8 MCU=atmega8 F_CPU=24000000
if errorlevel 1 goto err
avr-nm -n %APPNAME%.elf > %APPNAME%.sym
avr-size -C --mcu=atmega8 %APPNAME%.elf
avr-objdump -d -S -m avr %APPNAME%.elf > %APPNAME%.lst

set APPNAME=ATX81_88
make all PROJECT=ATX81_88 MCU=atmega88 F_CPU=24000000
if errorlevel 1 goto err
avr-nm -n %APPNAME%.elf > %APPNAME%.sym
avr-size -C --mcu=atmega8 %APPNAME%.elf
avr-objdump -d -S -m avr %APPNAME%.elf > %APPNAME%.lst

goto ok

:err
echo.
pause
:ok
